AIEBU-DUMP(1)

NAME
aiebu-dump - inspect and disassemble AIE binaries

DESCRIPTION
aiebu dumping utility (aiebu-dump) for aie binaries Usage:

    aiebu-dump [OPTION...] positional parameters

-a, --archive-headers
    Display archive header information

-f, --file-headers
    Display the contents of the overall file header

-p, --private-headers
    Display opcode frequency in the control code binary

-x, --all-headers
    Display contents of all elf headers

-d, --disassemble
    Display assembler contents of ctrltext sections if elf file is provided or display control packet

in assembled format if control packet
    binary file is provided

-H, --help
    show help message and exit

-m, --architecture arg
    Specify the target architecture as MACHINE (aie2ps/aie2asm/aie2txn/aie2dpu) (default: unspecified)

-D, --disassemble-all
    Display assembler contents of all sections

-t, --syms
    Display contents of the symbols table(s)

-r, --reloc
    Display relocation entries in the file

-v, --version
    show version and exit

    Build Version Branch:

    Build Version Hash:

    Build Version Hash Date:

    Build Version Date: Wed, 29 Oct 2025 15:29:43 -0500

SEE ALSO
The full documentation for aiebu-dump is maintained as a Texinfo manual. If the info and aiebu-dump programs are properly installed at your site, the command

    info aiebu-dump

should give you access to the complete manual.